Index: bootscripts/lfs/init.d/mountvirtfs
===================================================================
--- bootscripts/lfs/init.d/mountvirtfs (working copy)
+++ bootscripts/lfs/init.d/mountvirtfs (revision 9883)
@@ -32,7 +32,10 @@
case "${1}" in
start)
# Make sure /run/var is available before logging any messages
- mount -n /run || failed=1
+ if ! mountpoint /sys >/dev/null; then ###<<< /sys -> /run
+ mount -n /run || failed=1
+ fi
+
mkdir -p /run/var /run/lock /run/shm
chmod 1777 /run/shm
--
http://linuxfromscratch.org/mailman/listinfo/lfs-dev
FAQ: http://www.linuxfromscratch.org/faq/
Unsubscribe: See the above information page